Subject: Re: 3rd time lucky? Apache startup woes
From: Jason Tishler <[email-masked]>
To: Gary Stainburn <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Nov 2002 15:29:17 -0500

Gary,

On Fri, Nov 15, 2002 at 03:40:07PM +0000, Gary Stainburn wrote:
> All I got out was one error line per DLL stating that it was being
> skipped because it was not rebasable.

Are you running on Me?  If so, then you can't use my rebase (don't blame
me, blame Microsoft).  Use Ralf's version instead:

    http://www.cygwin.com/ml/cygwin/2002-08/msg00703.html

Ultimately, I will integrate Ralf's rebase functionality into mine.

The following is how I recommend rebasing your entire system (i.e., all
DLLs installed by setup.exe except for cygwin1.dll):

    $ # stop all Cygwin processes except for bash
    $ zegrep -h 'dll$' /etc/setup/*.gz | grep -v 'cygwin1.*.dll' |
        xargs -n 1 cygpath -wa >rebase.lst
    $ rebase -d -b 0x68000000 -o 0x10000 $(<rebase.lst)
    $ rm rebase.lst

Note that you can append DLLs installed by other means to rebase.lst
before calling rebase, if necessary.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/